import { Store } from "antd/es/form/interface";
import { inject, observer } from "mobx-react";
import { useEffect, useState } from "react";
import Video from "./video";
import "./video.less";

const HomeVideo = (props: Store) => {
  const { homeStore } = props;
  const [videoUrls, setVideoUrl] = useState<Array<string> | null>([]);
  const [showVideo, setShowVideo] = useState<boolean>(false);
  useEffect(() => {
    homeStore.getNewTask().then((res) => {
      setVideoUrl(res);
    });
    setShowVideo(homeStore.showVideo);
  }, [homeStore, homeStore.showVideo]);
  return (
    <>
      {showVideo ? (
        <div className="homeVideoBox" style={{width: "300px"}}>
          {videoUrls?.map((videoUrl, index) => {
            return (
              <div key={videoUrl} style={{ flex: "1", margin: "5px" }}>
                <Video url={videoUrl} className="homeVideo" />;
              </div>
            );
          })}
        </div>
      ) : null}
    </>
  );
};

export default inject("homeStore")(observer(HomeVideo));
